@use "../../../../styles/variables/colorsFacebook.scss";

.aside-block {
    user-select: none;
    max-width: 310px;
    min-width: 260px;
    width: 100%;
    min-height: 100%;
    height: 100%;
    background-color: colorsFacebook.$gray_background-modal;
    padding-top: 40px;
    border-right: 1px solid colorsFacebook.$gray_border;
    padding-right: 5px;

    height: calc(100vh - 56.8px);
    overflow-y: auto;
    top: 56.8px;
    position: sticky;

    .settings-item {
        cursor: pointer;
    }

    .home-btn {
        cursor: pointer;
    }

    .settings-item-aside {
        cursor: pointer;
    }

    .settings-item-aside.activeBtn {
        background-color: colorsFacebook.$dark-blue_bacground-manage;
        color: colorsFacebook.$blue_facebook;

        svg {
            fill: colorsFacebook.$blue_facebook;
        }
    }
}

@media screen and (max-width: 900px) {
    .aside-block {
        display: none;
        min-height: auto;
    }
}

@media screen and (max-width: 360px) {
    .aside-block {
        width: 280px;
    }
}